<template>
    <MainLayout>
      <!-- <div v-for="sale in sales" :key="sale.id">
        {{ sale.year }} | {{ sale.sales }}
      </div> -->
      <BarChart :sales="sales" class="mx-auto mt-4 max-w-3xl p-6 shadow-lg rounded-lg overflow-hidden" />
    </MainLayout>
  </template>
  
  <script>
  import MainLayout from '@/Layouts/MainLayout.vue';
  import BarChart from '@/Components/BarChart.vue';
  
  export default {
    components: { MainLayout, BarChart },
    props: {
      sales: {
        type: Array,
        required: true
      }
    }
  }
  </script>
  